Subject: Re: [PATCH] Add 'preserve' subcommand to 'git stash'

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 Jun 2023 13:11:58 -0700

Oswald Buddenhagen <[email-masked]> writes:

>>Why a new subcommand, not a new option to "push"?  Adding a new
>>subcommand would mean it would be another unfamiliar thing users
>>need to learn, as opposed to a slight variation of what they are
>>already familiar with.
>>
> to be fair, there's also `apply` and not `pop --keep`.

I do not care all that much if that is fair, but I do not think it
is a meaningful comparison.  "stash apply" is merely exposing the
first half (the other half is "stash drop") of a two step operation
that is "stash pop".